using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class DisplayASimpleMap : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);
            }
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            ShapeFileFeatureLayer stateLayer = new ShapeFileFeatureLayer(MapPath("~/SampleData/USA/STATES.SHP"));
            stateLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            stateLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            stateLayer.DrawingMarginPercentage = 50;

            LayerOverlay overlay = new LayerOverlay();
            overlay.IsBaseOverlay = false;
            overlay.Layers.Add(stateLayer);
            Map1.CustomOverlays.Add(overlay);
            stateLayer.Open();
            Map1.CurrentExtent = stateLayer.GetBoundingBox();
            stateLayer.Close();
        }
    }
}
